%define name	qfaxreader
%define version 0.3.1
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Multipage TIFF/fax viewer
Version: 	%{version}
Epoch:		1
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/qfaxreader/%{name}-%{version}.tar.bz2
URL:		http://qfaxreader.sourceforge.net/
License:	GPL
Group:		Graphics
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig ImageMagick qt3-devel tiff-devel gdbm-devel

%description
QFaxReader is a monochrome multipage .TIFF files visualisation utility
designed for viewing faxes.
    * Handle multi page fax files
    * Correctly display fax images in any quality (normal or fine)
    * Printing fax files
    * Image transformation (rotate left, rotate right, vertical flip)
    * Zoom fax images
    * Sidebar with easy navigation through directories
    * AutoRefresh + notification for new facsimiles
    * Aliases database for replacing faxes id's with real name
    * Export in all formats which your QT have support
    * Fullscreen mode

%prep
%setup -q
perl -pi -e 's/QTDIR\/lib/QTDIR\/%_lib/g' configure

%build
%configure2_5x --with-kdeico=%_iconsdir
make
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_iconsdir/hicolor/16x16/apps/
mkdir -p %buildroot/%_iconsdir/hicolor/22x22/apps/
mkdir -p %buildroot/%_iconsdir/hicolor/32x32/apps/
%makeinstall_std DOCDIR=$(DESTDIR)/%_docdir
rm -fr $RPM_BUILD_ROOT/%_docdir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="QFaxReader" longtitle="Multipage TIFF viewer" section="Multimedia/Graphics" mimetypes="image/tiff" xdg="true"
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=QFaxReader
Comment=Multipage TIFF viewer
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Graphics;Graphics;Viewer;
MimeType=image/tiff
EOF


#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 src/pixmaps/icon.xpm $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 src/pixmaps/icon.xpm $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 src/pixmaps/icon.xpm $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%update_desktop_database
		
%postun
%clean_menus
%clean_desktop_database

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/%name
%{_mandir}/man1/*
%{_iconsdir}/hicolor/*/apps/*
%{_menudir}/%name
%{_datadir}/applications/mandriva-%{name}.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png




%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.3.1-1mdv2008.1
+ Revision: 140742
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Thu Mar 15 2007 Austin Acton <austin@mandriva.org> 0.3.1-1mdv2007.1
+ Revision: 143958
- new release
- Import qfaxreader

* Sun Sep 17 2006 Emmanuel Andry <eandry@mandriva.org> 1:0.3-2mdv2007.0
- %%mkrel
- xdg menu

* Thu Mar 09 2006 Austin Acton <austin@mandriva.org> 1:0.3-1mdk
- New release 0.3
- source URL
- epoch 1 since for some reason 0.3 > 0.3c
- drop merged patch
- minor lib64 fix

* Thu Aug 25 2005 Austin Acton <austin@mandriva.org> 0.3c-1mdk
- 0.3c
- source URL
- fix iconsdir

* Thu May 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.6-3mdk
- Rebuild

* Sun Jun 06 2004 Austin Acton <austin@mandrake.org> 0.2.6-2mdk
- rebuild

